Bug 125967 - install of kernel-2.6.6-1.434 (and earlier): context wrong for created files...
Summary: install of kernel-2.6.6-1.434 (and earlier): context wrong for created files...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Russell Coker
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-14 16:59 UTC by Tom London
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 23:22:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom London 2004-06-14 16:59:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Installation of kernel package sets 'incorrect' context labels for
files created by depmod, mkinitrd and 'updated' grub.conf.

Here is a list:
    /lib/modules/2.6.6-1.434/modules.*, /boot/initrd-2.6.6-1.434.img
and /boot/grub/grub.conf

Perhaps some code in the postinstall script like:

if [ -x /usr/bin/selinuxenabled ] && /usr/bin/selinuxenabled; then
        restorecon /lib/modules/$(VERSION)-$(RELEASE)/modules.*
        restorecon /boot/initrd-$(VERSION)-$(RELEASE).img 
        restorecon /boot/grub/grub.conf
fi



Version-Release number of selected component (if applicable):
kernel-2.6.6-1.434

How reproducible:
Always

Steps to Reproduce:
1. yum update kernel
2. ls -lZ /lib/modules/2.6.6-1.434
3. etc.
    

Additional info:


Note You need to log in before you can comment on or make changes to this bug.